<?php
session_start();
$url = $_SERVER['SERVER_NAME'] . dirname($_SERVER['SCRIPT_NAME']) . "/callme.php";
echo "Call from php : " . $url;
echo "<br />";
flush();

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_HEADER, 0);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
$fRet = curl_exec($ch);
curl_close($ch);

echo "<br />Call returned : <br /><br />";
echo $fRet;
echo "OK<br />";

$fCookieHeader = "Cookie: ".session_name()."=".session_id();
echo "Call same url with Cookie header set : ".$fCookieHeader;
flush();

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_HEADER, 0);
curl_setopt($ch, CURLOPT_HTTPHEADER, array($fCookieHeader));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
$fRet = curl_exec($ch);
curl_close($ch);

echo "<br />Call with cookie returned : <br /><br />";
echo $fRet;
echo "OK<br />";

?>